/*
    AccountName

    Copyright (c) 2009 by Yuzik Menski <no@route.here>
						  Ruslan Nigmatullin <euroelessar@gmail.com>

 ***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************
*/

#ifndef ACCOUNTNAME_H
#define ACCOUNTNAME_H

#include <qutim/plugininterface.h>
#include <QObject>

using namespace qutim_sdk_0_2;

class AccountNamePlugin:public QObject, public PluginInterface, public EventHandler
{
    Q_OBJECT
    Q_INTERFACES(qutim_sdk_0_2::PluginInterface)
public:
    virtual bool init(PluginSystemInterface * plugin_system);
    virtual void release();
    virtual void processEvent(Event & event);
    virtual void setProfileName(const QString & profile_name);
    virtual QString name();
    virtual QString description();
    virtual QString type();
    virtual QIcon *icon();
private:
    QIcon * m_icon;
    QString m_profile_name;
    quint16 m_item_added;
};

#endif				// ACCOUNTNAME_H
